com.oracle.truffle.object.basic

## Class BasicLocations.FieldLocation

- java.lang.Object
- - com.oracle.truffle.api.object.Location
  - - com.oracle.truffle.object.LocationImpl
    - - com.oracle.truffle.object.basic.BasicLocations.FieldLocation

All Implemented Interfaces:
  BaseLocation

Direct Known Subclasses:
  BasicLocations.MethodHandleFieldLocation, BasicLocations.SimpleLongFieldLocation, BasicLocations.SimpleObjectFieldLocation

Enclosing class:
  BasicLocations

    public abstract static class BasicLocations.FieldLocation
    extends LocationImpl

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.LocationImpl

`LocationImpl.EffectivelyFinalLocation<T extends Location>, LocationImpl.InternalLongLocation, LocationImpl.TypedObjectLocation<T extends Location & ObjectLocation>`

### Constructor Summary

Constructors
Constructor and Description
`BasicLocations.FieldLocation(int index)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`int` `getIndex()`
`protected java.lang.String` `getWhereString()`
`int` `hashCode()`

### Methods inherited from class com.oracle.truffle.object.LocationImpl

`canSet, canStore, canStoreFinal, getInternal, isConstant, isFinal, objectArrayCount, objectFieldCount, primitiveArrayCount, primitiveFieldCount, set, setInternal, toString, valueEquals`

### Methods inherited from class com.oracle.truffle.api.object.Location

`checkShape, finalLocation, get, get, incompatibleLocation, set, set`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicLocations.FieldLocation

    public BasicLocations.FieldLocation(int index)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `LocationImpl`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `LocationImpl`

#### getIndex

    public final int getIndex()

#### getWhereString

    protected java.lang.String getWhereString()

Overrides:
  `getWhereString` in class `LocationImpl`